if(typeof String.prototype.trim !== 'function') {
  String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, ''); 
  }
}

$(document).ready(function()
{
    /*search*/
	var loc_search = (window.location.pathname + "").replace(/^\//, '');
    if(loc_search == "search" && getCookie("search"))
    {
        $("#search input[type='text']").attr("value", getCookie("search"));
    }
});

/*Set width content */
$(document).ready(function() {
    ResizeContent();
});
$(window).resize(function() {
    ResizeContent();
});

/*Function set text value in input box*/
function ResizeContent()
{
    screenWidth = $(window).width();
     if (screenWidth >= 1430)
    {
         ChangeContPadding(125);
    }else{
         ChangeContPadding(50);
    }
}

function ChangeContPadding(padding){

    /*$('.outer').css('padding-left', padding+'px');
    $('.outer').css('padding-right',padding+'px');*/
}

function setCookieSearch(){
	setCookie("search",$("#search input[type='text']").attr("value"));
}

function changeLanguage(language) {
	setCookie("language", language);
	window.location.href = '/';
}


function setCookie(c_name,value)
{
    var exdate=new Date();
	exdate.setDate(exdate.getDate() + 7);
	var c_value=escape(value) + ";path=/; expires="+exdate.toUTCString();
	document.cookie=c_name + "=" + c_value;
}

function getCookie(c_name)
{
    if (document.cookie.length>0)
    {
        c_start=document.cookie.indexOf(c_name + "=");
        if (c_start!=-1)
        {
            c_start=c_start + c_name.length+1;
	        c_end=document.cookie.indexOf(";",c_start);
            if (c_end==-1) c_end=document.cookie.length;
            return unescape(document.cookie.substring(c_start,c_end));
        }
    }
    return "";
}

function pageload(url,param)
{
 	var parameterRequest = param || "";
    ajax("ajax/"+url+(parameterRequest?"/" + parameterRequest:""), "content");
}

function pageLoadHref(url,param)
{
	top.location.href = '/'+url+(param?"/" + param:"");
}


function ajax(url, div){
	$.ajax({
    	url: url,
        dataType : "text",
		type: "GET",
		success: function (data, textStatus)
        {
    		$("#"+div).html(data);
        },
        error: function (data, textStatus) {
            alert(textStatus  + " url = "+url);
        }
    });
}

function ajaxSync(url, div, typeQuery, param){
	var _typeQuery = typeQuery || "GET";
	$.ajax({
    	url: url,
    	contentType: "application/x-www-form-urlencoded; charset=utf-8",
        dataType : "text",
        data: param,
		type: _typeQuery,
		async: false,
        success: function (data, textStatus)
        {
			$(div).html(data);
        },
        error: function (data, textStatus) {
            alert("Произошла ошибка.");
        }
    });
}

function saveObjectParam (objectId, param)
{
    /*var param_arr = param.split("&") || [];
    for (i = 0; i < param_arr.length; i++)
    { */
        //current_param = param_arr[i].split("=");
        setCookie("object_" + objectId, param);
    /*}*/
}

function reloadObjects(objId, param, cache) {
	if(!(objId instanceof String))
		objId = objId.toString();
	var ids = objId.split(",") || [];
	var p = param || "";
	p = p.replace(/,/g, "&");

    if(ids.length > 0) {
		for(var counjtObj = 0; counjtObj < ids.length; counjtObj++) {
            saveObjectParam(ids[counjtObj], p);
			reloadObject(ids[counjtObj], p, cache);
		}
	}
}

function reloadObject(id, param, cache) {
	var _cache;
	if (typeof(cache) == "undefined" || cache){
		_cache = true;
	} else {_cache = false};
	
	var obj_url = "object/" + id + "?" + param;
    $.ajax({
			url: obj_url,
        	dataType : "text",
			type: "GET",
			cache: _cache,
        	success: function (data, textStatus)
        	{
				$("#object_" + id).html(data);
        	},
        	error: function (data, textStatus) {
                alert(textStatus);
        	}
	});
}


function reloadBlocks (objId,settingsPacketKey, param, cache) {
	if(!(objId instanceof String))
		objId = objId.toString();
	var ids = objId.split(",") || [];
	var p = param || "";
	p = p.replace(/,/g, "&");
    settingsPacketKey = settingsPacketKey.replace(/,/g, "&");

    if(ids.length > 0) {
		for(var counjtObj = 0; counjtObj < ids.length; counjtObj++) {
            saveObjectParam(ids[counjtObj], p);
			reloadBlock (ids[counjtObj],settingsPacketKey, p, cache);
		}
	}
}

function reloadBlock (id, settingsPacketKey, param, cache) {
	var _cache;
	if (typeof(cache) == "undefined" || cache){
		_cache = true;
	} else {_cache = false};

	var obj_url = "block/" + id + "?settingsPacketKey="+settingsPacketKey + (param?'&'+param:'');
    $.ajax({
			url: obj_url,
        	dataType : "text",
			type: "GET",
			cache: _cache,
        	success: function (data, textStatus)
        	{
				$("#object_" + id).html(data);
        	},
        	error: function (data, textStatus) {
                alert(textStatus);
        	}
	});
}

function reloadObjectByID(idDiv, id, param, cache) {
	
	var _cache;
	if (typeof(cache) == "undefined" || cache){
		_cache = true;
	} else {_cache = false};
	
	
	var p = param || "";
	param = p.replace(/,/g, "&");
	
	id = id.toString();
	var _ids = id.split("$") || [];
	var obj_url = null;
	var paramStr = null;
	var objId = null;
	
	if(_ids.length>1){
		
		var settingsPacketKey = _ids[1];
		paramStr = "settingsPacketKey="+settingsPacketKey + (param?'&'+param:'');
		objId = _ids[0];
		obj_url = "block/" + objId + "?"+paramStr;
	}else{
		
		paramStr = param?"?"+param:"";
		objId = id;
		obj_url = "object/" + objId + paramStr;
		paramStr = param?param:"";
	}
	
	saveObjectParam(objId, paramStr);
	
    $.ajax({
			url: obj_url,
        	dataType : "text",
			type: "GET",
			cache: _cache,
			async: false,
        	success: function (data, textStatus)
        	{
				$("#" + idDiv).html(data);
        	},
        	error: function (data, textStatus) {
                alert(textStatus);
        	}
	});
}


function saveSelect(select) {
	var selectedindex = select;
	var objectId = $(select).parent("div").parent("div").attr("id");
    getId(objectId).value = select.value;
    setCookie("select_" + objectId.replace(/object_(\d+)/, "$1"), selectedindex.options[selectedindex.selectedIndex].value);
}

function setSelectCurrentObject(id, objectValue) {
	var r = "select_";
    var object ="#object_"+id;

    //$(object + " > select option").each(function(index, value){
    $(object).find(".select_div > select option").each(function(index, value){
        if($(value).attr("value"))
        {
        	var currentId = $(value).attr("value");
        	if(currentId == objectValue)
	        {
        		//alert($(this).parent().attr("label"));
        		$(value).attr("selected", "selected");
        		//alert(parentValue+$(value).text());
        		//$(object).find(".chzn-single span").html(parentValue+$(value).text());
                $(object).attr('value',objectValue);
                getId("object_"+id).value = objectValue;
        	}
        }		
     });    	
}

function searchMaxOrMinValueCombobox(object, operand){
	var id = 0;
	var currentId = 0;
	var arr = [];
	$(object).each(function(index, value){
		currentId = $(value).attr("value");
		arr.push(currentId);
	});
	arr.sort();
	switch (operand) {
	case "maxvalue":
		id = arr[arr.length-1];
		break;
	case "minvalue":
		id = arr[0];
		break;
	default:
		id = operand;
		break;
	}
	return id;
}

function restoreSelect() {
	var r = "select_";
	var d = /object_(\d+)/;
	$("div").each(function(index, value){
        if($(value).attr("id")) {
			if(d.test($(value).attr("id")) && $(value).find(".select_div").length) {
                //$(value).attr("class") == 'select_div'
                objectId = $(value).attr("id").replace(d,"$1");
                objectValue = getCookie(r + objectId);
                if(!objectValue){
                	var autoselect = $("#object_"+objectId +" select").attr("autoselect");
                	objectValue = searchMaxOrMinValueCombobox("#object_"+objectId +" select option", autoselect);
                }
                setSelectCurrentObject(objectId, objectValue);
			}
		}
	});
}

function parseXml(str)
{
    if (window.ActiveXObject) {
        var doc = new ActiveXObject('Microsoft.XMLDOM');
        doc.loadXML(str);
        return doc;
    } else if (window.DOMParser) {
        return (new DOMParser).parseFromString(str, 'text/xml');
    }
}

function clearSelectedItemAll() {
	$(".sel").each(function(index, item) { $(item).removeClass("sel"); });
}

function urlStartWith(str, prefix) {
	var pos = str.indexOf(prefix);
	return pos == 0 && (str.length == prefix.length || str[prefix.length] == "/");
}

function getId(objectId){ return document.getElementById(objectId);}

function show_versions(id){
	var x, y;
	x = $("#sources_div_"+id+ " a").position().left + 300 - $("#sources_div_"+id+ " a").outerWidth();
	y = $("#sources_div_"+id+ " a").position().top + 20 -  $(document).scrollTop();
	$("#versions_div_"+id).dialog({
	    title: $("#sources_div_"+id+" a").text(),
	    width: 'auto',
	    height: 'auto',
	    resizable: true,
	    draggable: true,
	    position: [x,y]	    
	});
}

function applicationProjLoad(url){
	ajax("ajax/"+url, "proj_application");
}

function ProjNoteLoad(url){
	ajax("ajax/"+url, "content_note");
}

String.prototype.replaceAll=function(find, replace_to){
    return this.replace(new RegExp(find, "g"), replace_to);
}

function getFlashObject(o){

	o.quality = 'high';
	var str='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" ';
  	str+='codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version='+(o.ver ? o.ver : '8')+',0,0,0" ';
  	str+=(o.id     ? 'id="'+o.id+'" ' : '');
  	str+=(o.base   ? 'base="'+o.base+'" ' : '');
  	str+=(o.align  ? 'align="'+o.align+'" ' : '');
  	str+=(o.width  ? 'width="'+o.width+'" ' : '');
  	str+=(o.height ? 'height="'+o.height+'" ' : '');
    str+='>';

  	str+=(o.movie     ? '<param name="movie" value="'+o.movie+'"/>' : '');

  	str+=(o.bgcolor   ? '<param name="bgcolor" value="'+o.bgcolor+'"/>' : '<param name="bgcolor" value="#FFFFFF"/>');

  	str+=(o.quality   ? '<param name="quality" value="'+o.quality+'"/>' : '<param name="quality" value="high"/>');

    str+=(o.flashvars ? '<param name="flashvars" value="'+o.flashvars+'"/>' : '');

    //allowScriptAccess - взаимодействие между flash и html (необязательный)
  	//Значения: never | always | sameDomain
  	//по умолчанию sameDomain Flash Player 7 и выше
  	str+=(o.allowScriptAccess ? '<param name="allowScriptAccess" value="'+o.allowScriptAccess+'"/>' : '');

  	str+=(o.salign    ? '<param name="salign" value="'+o.salign+'"/>' : '');

  	//Window Mode
  	//Значения:  | opaque | transparent
  	str+=(o.wmode     ? '<param name="wmode" value="'+o.wmode+'"/>' : '');

  	//Масштабирование
  	//Значение: noborder | scale | noscale | exactfit
  	str+=(o.scale     ? '<param name="scale" value="'+o.scale+'"/>' : '<param name="scale" value="noscale"/>');

    //Контекстное меню
    //Значение: true | false
  	str+=(o.menu     ? '<param name="menu" value="'+o.menu+'"/>' : '');
  	str+='<embed type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" ';
    	str+=(o.movie     ? 'src="'+o.movie+'" ' : '');
    	str+=(o.id        ? 'id="'+o.id+'-embed" ' : '');
    	str+=(o.bgcolor   ? 'bgcolor="'+o.bgcolor+'" ' : 'bgcolor="#FFFFFF" ');
    	str+=(o.flashvars ? 'flashvars="'+o.flashvars+'" ' : '');

    	//swLiveConnect - загрузка JAVA при первичной загрузке Flash Player
    	//(необязательный, по умолчанию false) только для embed
    	str+=(o.swLiveConnect ? 'swLiveConnect="'+o.swLiveConnect+'" ' : '');

    	str+=(o.allowScriptAccess ? 'allowScriptAccess="'+o.allowScriptAccess+'" ' : '');
    	str+=(o.quality ? 'quality="'+o.quality+'" ' : 'quality="high" ');
    	str+=(o.base    ? 'base="'+o.base+'" ' : '');
    	str+=(o.wmode   ? 'wmode="'+o.wmode+'" ' : '');
    	str+=(o.salign  ? 'salign="'+o.salign+'" ' : '');
    	str+=(o.wmode   ? 'wmode="'+o.wmode+'" ' : '');
    	str+=(o.scale   ? 'scale="'+o.scale+'" ' : 'scale="noscale"');
    	str+=(o.menu    ? 'menu="'+o.menu+'" ' : '');
    	str+=(o.width   ? 'width="'+o.width+'" ' : '');
    	str+=(o.height  ? 'height="'+o.height+'" ' : '');
    	str+='>';
  	str+='</embed>';
	str+='</object>';
  return str;
}

/*function check TypeChart for current browser*/
function CheckTypeChart()
{
	var n = navigator;
	var typeChart = '';
		var f = -1;

		if (n.plugins) {
			for (var i = 0; i < n.plugins.length; i++) {
				if (n.plugins[i].name.indexOf('Flash') > (-1)) {
					var s = /([0-9\.])+/.exec(n.plugins[i].description);
					s = s[0];
					f = parseFloat(s);
				}
			}
		}
		if (f == -1){
			for (var i = 3; i < 11; i++)
			{
				try {
					if (eval('new ActiveXObject("ShockwaveFlash.ShockwaveFlash.'+i+'")')){ f = i; }
				}
				catch(e) { break;  }
			}
		}

		if (f >= 8) {
            if (navigator.platform.toString().toLowerCase().indexOf('mac') >= 0) // На MAC криво отображается Flash
            {
                typeChart = 'svg';
            }else{
			    typeChart = 'flash';
            }
		}
		else if (document.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#Shape", "1.0")){

			typeChart = 'svg';
		}
		else{
			typeChart = 'svg';
		}
	return typeChart;
}

/*function insert FusionChart to div*/
function insertChart(o, toId, swf_name_file, xml_id, param)
{
    type_chart = CheckTypeChart();

	if (o != null && getId(toId))
	{
		var verdivid = 'v_'+toId.toString();
		var advbuttdivid = 'adv_button_'+toId.toString();
		var versiontext = '';
		var output_text = '';
		var otherbuttontext = '';

		var n = navigator;
		if (type_chart == "flash"){
			if (n.userAgent.indexOf('Chrome') == -1) {
				var f = -1;

				if (n.plugins) {
					for (var i = 0; i < n.plugins.length; i++) {
						if (n.plugins[i].name.indexOf('Flash') > (-1)) {
							var s = /([0-9\.])+/.exec(n.plugins[i].description);
							s = s[0];
							f = parseFloat(s);
						}
					}
				}
				if (f == -1){
					for (var i = 3; i < 11; i++)
					{
						try {
							if (eval('new ActiveXObject("ShockwaveFlash.ShockwaveFlash.'+i+'")')){ f = i; }
						}
						catch(e) { break;  }
					}
				}

				if (f >= 8) {
					output_text = getFlashObject(o);
				}

			}else { output_text = getFlashObject(o); }
			output_text = (otherbuttontext?'<div>'+otherbuttontext + '</div>':'')+output_text + (versiontext?'<div>'+ versiontext + '</div>':'');
			document.getElementById(toId).innerHTML = output_text;
			//document.getElementById("xml_1001").innerHTML = output_text;
		}else if (type_chart == "svg"){
			FusionCharts.setCurrentRenderer("javascript");
			var chart = new FusionCharts(swf_name_file, "chart_"+xml_id, o.width, o.height, "0", "1");
			chart.setDataURL("objectData/"+o.xml_id);
			chart.render(toId);
		}else{
			output_text = '<img src="image_flsh.php?xml_id='+o.xml_id+( o.param  ? '&param='+o.param : '')+ '" '+(o.width   ? 'width="'+o.width+'" ' : '')+' '+(o.height  ? 'height="'+o.height+'" ' : '')+' />';
			output_text = (otherbuttontext?'<div>'+otherbuttontext + '</div>':'')+output_text + (versiontext?'<div>'+ versiontext + '</div>':'');
			document.getElementById(toId).innerHTML = output_text; //381552
			//alert(output_text);
		}


	}
}
/*Function validate input email*/
function isValidEmailAddress(emailAddress) {
    var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
    return pattern.test(emailAddress);
}

function validFormModalWindows(objectId){
		
	var email = $("#contact-email").val();
	/*if(isValidEmailAddress(email)){*/
    var name = $("#contact-name").val();
    var email = $("#contact-email").val();
    var message = $("#contact-message").val();
    //message = message.substring(0, 3998); 
    var option = $("#object_781 option:selected").val();
    if(option){
        option = "&subprm="+encodeURIComponent(option);
    }else{
        option="";
    }
    //reloadObjects(objectId, 'name='+name+'&email='+email+'&message='+message+option);
    url ="object/" + objectId;
    div = "#object_"+ objectId;
    param = 'name='+encodeURIComponent(name)+'&email='+encodeURIComponent(email)+'&message='+encodeURIComponent(message)+option;
    if(message.length<4000){
    	ajaxSync(url, div, "POST", param);
	    $('#fade , .popup_block').fadeOut(function() {
	        $('#fade, a.close').remove();  //fade them both out
	    });
    }else{
	    alert("Cообщение не может быть отправлено!\nКоличество символов превысило 4000.\n	 Пожалуйста, сократите текст!")
    }
	/*}else{
		alert("Некорректный электронный адрес");
	} */
}


function showModalFeedbackForm(formType){
	
	var email = $("#contact-email").val();
	/*if(isValidEmailAddress(email)){*/
    var name = $("#contact-name").val();
    var email = $("#contact-email").val();
    var message = $("#contact-message").val();
    var option; 
    if (formType==1){
	    option = $("#object_781 option:selected").val();
	    	    
	    if(option){
	        option = "&subprm="+encodeURIComponent(option);
	    }else{
	        option="";
	    }
	    div = "#object_34";
    }
    if (formType==2){
	   option = "&subprm=9999_10000930";
       div = "#object_33";
    }

    url = "/sendFeedback";

    param = 'name='+encodeURIComponent(name)+'&email='+encodeURIComponent(email)+'&message='+encodeURIComponent(message)+option;
    if(message.length<4000 && message.trim().length != 0 && message.trim().length>0 && name.trim().length>0 && isValidEmailAddress(email)){
    
    //	ajaxSync(url, div, "POST", param);
    	$.ajax({
	    	url: url,
	        data: param,
			type: "POST",
			async: false,
			dataType:"text",
			contentType: "application/x-www-form-urlencoded; charset=utf-8",
	        success: function (msg)
	        {
				if (msg=='1'){
					alert('Спасибо! Сообщение успешно отправлено.');
					reloadPageContent();
				}
				else{
					alert('Ошибка валидации параметров. Операция не проведена.');
				}
	        },
	        error: function (msg) {
	            alert('Серверная ошибка. Свяжитесь с администратором сайта.');
	        }
	    }); 
    	$('#fade , .popup_block').fadeOut(function() {
   	        $('#fade, a.close').remove();  //fade them both out
   	    });
    }else{
    	var errorMsg ="";
    	errorMsg+="Данные формы заполненны некорректно.\n";
    	errorMsg+="Обнаруженны следующие ошибки:\n";
    	if(message.length >= 4000){
    		errorMsg += "Поле \"Опишите предложение\": количество символов превысило 4000; \n";
    	}
    	if(message.trim().length == 0){
    		errorMsg += "Поле \"Опишите предложение\" не может быть пустым; \n";
    	}
    	if(name.trim().length == 0){
    		errorMsg += "Поле \"ФИО\" не может быть пустым;\n";
    	}
    	if(!isValidEmailAddress(email)){
    		errorMsg += "Адрес электронной почты введен некорректно;\n";
    	}
    	errorMsg += "\n Сообщение не отправленно. Исправьте ошибки и повторите отправку.";
    	alert(errorMsg);
	    
    }
}


function modalWindow(href, popURL, popID){
	var _popID = popID||'popup_name';
	ajaxSync("/ajax/"+popURL, "#"+_popID, "GET");
    var popWidth = 700;

    // Добавить кнопку "Закрыть" в наше окно, прописываете прямой путь к картинке
    $('#' + popID).fadeIn().css({ 'width': Number( popWidth ) });
    //Устанавливает величину отступа на Popup
    $('#' + popID).center();
    //Закрыть всплывающие окна и Fade слой
    $('a.close, #fade').live('click', function() { //When clicking on the close or fade layer...
    $('#fade , .popup_block').fadeOut(function() {
        $('#fade, a.close').remove();  //fade them both out
        $("#popup_name").empty();;
    });
    return false;
});
}

function  uploadImg(){
	
	//$("#img_uploader").attr("action", "BinaryData/uploadImg/"+$("#input_img").val());
	//$('#img_uploader').submit();
	
	dataString = $("#img_uploader").serialize();
	$.ajax({ 
        type: "POST",
        url: "BinaryData/uploadImg/"+$("#input_img").val(),
        data: dataString,
        success: function(){
           alert( "Data Uploaded: ");
        }
   }); 
	
} 


jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", (($(window).height() - this.outerHeight()) / 2) + $(window).scrollTop() + "px");
    this.css("left", (($(window).width() - this.outerWidth()) / 2) + $(window).scrollLeft() + "px");
    return this;
}

function LoadDepInfo(code)
{
    setCookie("select_702", code);
    saveObjectParam('701','html_id='+code.toString());
    top.location.href='dep_info';
}

// Карта сайта
function siteMapManager(){
	
	this.expandTreeL1 = '.sitemap .level-1>li>.plus-level-1';
	this.expandTreeL2 = '.sitemap .level-1>li>.level-2>li>.plus';
	this.expandAllButton = '.sitemap>.expand-all-button';
	this.collapseAllButton = '.sitemap>.collapse-all-button';
	
	this.handleLevel1 = function(element){
		if($(element).is(".minus-level-1")){
			$(element).removeClass();
			$(element).addClass("plus plus-level-1");
			$(element).parent().find('ul.level-2').css("display","none");
		}else{
			$(element).removeClass();
			$(element).addClass("minus minus-level-1");
			$(element).parent().find('ul.level-2').css("display","block");
		}		 
	}
	
	this.handleLevel2 = function(element){
		if($(element).is(".minus")){
			$(element).removeClass();
			$(element).addClass("plus");
			$(element).parent().find('ul.level-3').css("display","none");
		}else{
			$(element).removeClass();
			$(element).addClass("minus");
			$(element).parent().find('ul.level-3').css("display","block");
		}
			 
	}
	
	this.expandAll = function(){
		$('.plus-level-1').each(function(index, element){
			$(element).removeClass();
			$(element).addClass("minus minus-level-1");
			$(element).parent().find('ul.level-2').css("display","block");
		});
		$('.plus').each(function(index, element){
			$(element).removeClass();
			$(element).addClass("minus");
			$(element).parent().find('ul.level-3').css("display","block");
		}); 
	}
	
	this.collapseAll = function(){
		$('.minus-level-1').each(function(index, element){
			$(element).removeClass();
			$(element).addClass("plus plus-level-1");
			$(element).parent().find('ul.level-2').css("display","none");
		});
		$('.minus').each(function(index, element){
			$(element).removeClass();
			$(element).addClass("plus");
			$(element).parent().find('ul.level-3').css("display","none");
		}); 
	}
	
}

function InsertBlock (id_container, objectType, settings)
{
    id = null;
    switch (objectType)
    {
        case 'line':
            id = 1;
            break;
        case "combi":
            id = 2;
            break;
        default:
            id = null;
            break;
    }
    if (!id){alert('Неизвествный тип объекта'); return;}

    var obj_url = "object/" + id + "?" + settings;
    $.ajax({
			url: obj_url,
        	dataType : "text",
			type: "GET",
        	success: function (data, textStatus)
        	{
				$("#" + id_container).html(data);
        	},
        	error: function (data, textStatus) {
                alert(textStatus);
        	}
	});
}


//Проверка num на целое число из [a,b]
function IsNum(num){
	for(var i=0; i<num.length; i++){
		if(num.charAt(i) < "0" || num.charAt(i) > "9") return false;
	}
	return true;
}


function uploadImg(id){
	/* var str = $("#img_uploader").serialize(); // сериализуем данные для POST-запроса
   $.ajax({
       type: "POST",
       url: "BinaryData/uploadImg/31",
       data: str,
       cache: false,
       success: function (result){
       	$("#div_to_update").html("Успешно");
   	 }
   });*/
	/*var options = {
		contentType: "application/x-www-form-urlencoded; charset=utf-8",
      success: function() {
			alert("Успешно")
			var width =  $('#img_uploader_'+id+' input[name="width"]').val();
			var height =  $('#img_uploader_'+id+' input[name="height"]').val();
			var descr =  $('#img_uploader_'+id+' input[name="descr"]').val();
			var title =  $('#img_uploader_'+id+' input[name="title"]').val();
			
			$("#div_to_update_"+id).html('<img width="'+width+'" border="0" height="'+height+'" longdesc="" alt="'+descr+'" title="'+title+'" src="BinaryData/downloadImg/'+id+'?fdkr='+new Date().getMinutes()+new Date().getMilliseconds()+'"/>');
		}
		};
	$("#img_uploader").ajaxSubmit(options);*/
	
	var width =  $('#img_uploader_'+id+' input[name="width"]').val();
	var height =  $('#img_uploader_'+id+' input[name="height"]').val();
	var descr =  $('#img_uploader_'+id+' input[name="descr"]').val();
	//var title =  $('#img_uploader_'+id+' input[name="title"]').val();
	//var isfile = $('#img_uploader_'+id+' input[name="img_name"]').val();
	
	
	//if(IsNum(width) && IsNum(height) && descr.length<4000 && title.length<100 && isfile){
	if(IsNum(width) && IsNum(height) /*&& descr.length<4000 && title.length<100*/){
		
		/*$("#img_uploader_"+id).ajaxForm(function() {
			$("#div_to_update_"+id).html('<img width="'+width+'" border="0" height="'+height+'" longdesc="" alt="'+descr+'" title="'+title+'" src="BinaryData/downloadImg/'+id+'?fdkr='+new Date().getMinutes()+new Date().getMilliseconds()+'"/>');
		});*/
		//$("#img_uploader_"+id).submit();
		return true;
	}else{
		if(!IsNum(width) || height==""){
			alert("Ошибка! Ширина должна быть числом");
	
		}else if(!IsNum(height) || width==""){
			alert("Ошибка! Высота должна быть числом");
	
		}/*else if(!(title.length<100)){
			alert("Ошибка! Загловок должен быть меньше 100 символов");
	
		}else if(!(descr.length<4000)){
			alert("Ошибка! Описание должно быть меньше 4000 символов");
			
		}*/
		return false;
	}
	
}

function handleOnClickUploadImage(id){
	if(uploadImg(id)){
		var width =  $('#img_uploader_'+id+' input[name="width"]').val();
		var height =  $('#img_uploader_'+id+' input[name="height"]').val();
		//var descr =  $('#img_uploader_'+id+' input[name="descr"]').val();
		//var title =  $('#img_uploader_'+id+' input[name="title"]').val();
		
		$("#img_uploader_"+id).ajaxForm(function() {
			//$("#div_to_update_"+id).html('<img width="'+width+'" border="0" height="'+height+'" longdesc="" alt="'+descr+'" title="'+title+'" src="BinaryData/downloadImg/'+id+'?fdkr='+new Date().getMinutes()+new Date().getMilliseconds()+'"/>');
			//$("#div_to_update_"+id).html('<img longdesc="" alt="'+descr+'" title="'+title+'" src="BinaryData/downloadImg/'+id+'?fdkr='+new Date().getMinutes()+new Date().getMilliseconds()+'"/>');
			$("#div_to_update_"+id).html('<img longdesc="" src="BinaryData/downloadImg/'+id+'?fdkr='+new Date().getMinutes()+new Date().getMilliseconds()+'"/>');
		});
		$("#img_uploader_"+id).submit();
	}
}

function select_distr(settingsPacketKey, distr_id)
{
                if (distr_id == '')
                {
                               distr_id = getCookie('distr_id');
                }

                reloadBlock('293',settingsPacketKey, 'distr_id='+distr_id);
                
                setCookie('distr_id',distr_id);
                
                $(".noselect").css('text-decoration','');
                $(".noselect").css('font-weight', 'normal' );

                if (distr_id != '')
                {
                               $("#distr_"+distr_id).css('text-decoration','none');
                               $("#distr_"+distr_id).css('font-weight', 'bold' );
                }else {
                               $("#distr_").css('text-decoration','none');
                               $("#distr_").css('font-weight', 'bold' );
                }
                
                return false;  
};

function goToPageAndSaveHistory(url){
	window.location.href=url;
};

function goToPageAndNotSaveHistory(url){
	window.location.replace(url);
};

function showLoader(id){
	 var width=document.getElementById(id).offsetWidth-10;
	 var height=document.getElementById(id).offsetHeight-10;
	 if (width<400)
		 width=400;
	 if (height<400)
		 height=400;
			 
		$("#"+id).html("<div  align='center'  style='display:table-cell;vertical-align:middle; min-width:290px; min-height:40px;  width:"+width+"px;height:"+height+"px;'> <img src='img/loader.gif' /><h1 style=' color: #666666; font: 11px Verdana,Arial;'>Загрузка...</h1></div>");
	};

