/*
 * функция расширяет метод contains библиотеки jQuery. Делает его
 * регистронезависимым.
 */
$.extend($.expr[':'], {
	'containsi' : function(elem, i, match, array) {
		return (elem.textContent || elem.innerText || '').toLowerCase()
				.indexOf((match[3] || "").toLowerCase()) >= 0;
	}
});

// для списка ГРБС
function ListManager() {
	this.lastSelected = null; // последний выбранный элемент
	this.objectListElems = null; // объект возвращающий перечень элементов по
	// параметру
	this.elemId = null; // Выбираемый элемент (при нажатии)
	this.cookieName = null; // имя Cookie
	this.selectedValue = null; // Выбранное знаение (кликнутое)
	this.defaultSelectedValue = null; // Значение по-умолчанию
	this.selectedClassName = "stListManagerSelected"; // клас по-умолчанию для выделения
	this.hiddenClassName = "stListManagerHidden"; // клас по-умолчанию для скрытия

	this.saveClickedElemToCookie = function(objId) {
		setCookie(this.cookieName, objId);
	};

	this.getHiddenClassName = function() {
		return this.hiddenClassName;
	}
	this.selectElem = function(objId) {
		$("#searchcontent ul li a").removeClass(this.selectedClassName);
		$("#" + objId).addClass(this.selectedClassName);
		this.lastSelected = objId;
		this.selectedValue = objId;
	};

	this.searchElements = function(textToSearch) {
		$('#searchcontent ul li').addClass(this.hiddenClassName);
		$('#searchcontent ul li a:containsi("' + textToSearch + '")').each(
				function(a) {
					$(this).parent().removeClass("stListManagerHidden gray");
					if (a % 2 == 1) // черезполосица
					{
						$(this).parent().addClass("gray");
					}
				});
	};

	this.actionOnClick = function() {
		
	};

	this.init = function() {
		this.cookieName = "listManager_" + this.objectListElems; // уникальное
		// имя для
		// сохранения в
		// кукис
		if (getCookie(this.cookieName) && getCookie(this.cookieName) != '') {
			if (this.selectedValue != getCookie(this.cookieName)) {
				this.selectElem(getCookie(this.cookieName));
			}
		} else if (this.defaultSelectedValue != null) {
			if ($("#"+this.defaultSelectedValue)){
				this.selectElem(this.defaultSelectedValue);
				setCookie(this.cookieName, this.defaultSelectedValue);
			}
		}

		/* навешиваем обработчик клика */
		$("#searchcontent ul li a").click(function() {
			crimeIndicatorsList.elemId = this.id;
			crimeIndicatorsList.selectElem(this.id);
			crimeIndicatorsList.saveClickedElemToCookie(this.id);
			crimeIndicatorsList.actionOnClick();
		});
	};
}


